> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# workflowdefinitionstatus

> MDO provider for the WorkflowDefinitionStatus enum

## "workflowdefinitionstatus" MDO List

MDO provider for the WorkflowDefinitionStatus enum

Implemented by the <see cref="T:SuperOffice.CRM.Lists.WorkflowDefinitionStatusProvider">WorkflowDefinitionStatusProvider</see> class.
The name of the MDO list is 'workflowdefinitionstatus'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/workflowdefinitionstatus
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("workflowdefinitionstatus", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name        | StyleHint | ExtraInfo |
| -- | ----------- | --------- | --------- |
| 1  | Not running |           |           |
| 2  | Paused      |           |           |
| 3  | Running     |           |           |

## Related MDO Lists

* "workflowdefinitionstatusheadings"
* "workflowdefinitionstatusheadingswithallitem"
* "workflowdefinitionstatusheadingswithallitemwithnoselection"
* "workflowdefinitionstatusheadingswithnoselection"
* "workflowdefinitionstatuswithallitem"
* "workflowdefinitionstatuswithallitemwithnoselection"
* "workflowdefinitionstatuswithnoselection"


## Related topics

- [Enum WorkflowDefinitionStatus](/en/automation/crmscript/reference/CRMScript.NetServer.WorkflowDefinitionStatus.md)
- [Enum values for WorkflowDefinitionStatus](/en/database/tables/enums/workflowdefinitionstatus.md)
- [SuperOffice.WebApi.Data.WorkflowDefinitionStatus](/en/api/reference/webapi/SuperOffice.WebApi.Data.WorkflowDefinitionStatus.md)
- [NSWorkflowAgent](/en/automation/crmscript/reference/CRMScript.NetServer.NSWorkflowAgent.md)
- [SuperOffice.WebApi.Agents.IWorkflowAgent](/en/api/reference/webapi/SuperOffice.WebApi.Agents.IWorkflowAgent.md)
- [SuperOffice.WebApi.Agents.WorkflowAgent](/en/api/reference/webapi/SuperOffice.WebApi.Agents.WorkflowAgent.md)
